<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RequestHeader Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classRequestHeader.html">RequestHeader</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classRequestHeader.html#a64f50bc9d7cb3fb39d23f4c987e7eb57">getMethod</a>() const</td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRequestHeader.html#a8a423256d67ad4d3af3515bca5d06219">getPath</a>() const</td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRequestHeader.html#ab64aa5824bd54c4e281551283ca38a72">m_kv</a></td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classRequestHeader.html#a6b6eb70107b8c49316005f9f62e3e52d">m_method</a></td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRequestHeader.html#af0bd0001fba17eb2ddc4d6f5d226c7b4">m_path</a></td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classRequestHeader.html#ae7f8bea60ec86539bfb38d1378ffa1ba">parse</a>(const std::string &amp;headerStr)</td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRequestHeader.html#aa755158b5725111b734f7c99136a2026">RequestHeader</a>(Method method, std::string path, std::unordered_map&lt; std::string, std::string &gt; kv)</td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRequestHeader.html#a54ac81a72748cc7fd2c6628adc6924e7">split</a>(const std::string &amp;headerStr, const std::string &amp;delim)</td><td class="entry"><a class="el" href="classRequestHeader.html">RequestHeader</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
